http://bugs.gentoo.org/show_bug.cgi?id=308867

--- src/common/image/ImagePng.cpp
+++ src/common/image/ImagePng.cpp
@@ -189,7 +189,7 @@ bool ImagePng::loadFromBuffer(NetBuffer
 	info_ptr = png_create_info_struct(png_ptr);
 	if (info_ptr == NULL)
 	{
-	  png_destroy_read_struct(&png_ptr, png_infopp_NULL, png_infopp_NULL);
+	  png_destroy_read_struct(&png_ptr, NULL, NULL);
 	  return false;
 	}
 
@@ -200,7 +200,7 @@ bool ImagePng::loadFromBuffer(NetBuffer
 	if (setjmp(png_jmpbuf(png_ptr)))
 	{
 	  /* Free all of the memory associated with the png_ptr and info_ptr */
-	  png_destroy_read_struct(&png_ptr, &info_ptr, png_infopp_NULL);
+	  png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
 	  /* If we get here, we had a problem reading the file */
 	  return false;
 	}
@@ -258,7 +258,7 @@ bool ImagePng::loadFromBuffer(NetBuffer
 	}
 	else
 	{
-		png_destroy_read_struct(&png_ptr, &info_ptr, png_infopp_NULL);
+		png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
 
 		Logger::log(S3D::formatStringBuffer(
 			"Invalid PNG format.\n"
@@ -272,7 +272,7 @@ bool ImagePng::loadFromBuffer(NetBuffer
 	// END NEW CODE
 
 	/* clean up after the read, and free any memory allocated - REQUIRED */
-	png_destroy_read_struct(&png_ptr, &info_ptr, png_infopp_NULL);
+	png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
 
 	/* that's it */
 	return true;
